import { ResponseBag } from './ResponseService.js';
export type L1XWalletType = {
    address: string;
    privateKey: string;
};
export type L1XWalletStoreType = {
    defaultAccount: string;
    wallets: Array<L1XWalletType>;
};
export default class WalletService {
    static getWalletByAddress(address: string): Promise<ResponseBag>;
    static getAllWallets(): Promise<ResponseBag>;
    static addWallet(wallet: L1XWalletType): Promise<ResponseBag>;
    static getDefaultWallet(): Promise<ResponseBag>;
    static setDefaultWallet(address: string): Promise<ResponseBag>;
    static isWalletStoreCreated(): Promise<boolean>;
    static readWalletStore(): Promise<L1XWalletStoreType | null>;
    static initiateWalletStore(): Promise<boolean | null>;
    static getWalletByPrivateKey(privateKey: string): L1XWalletType;
    static isValidAddress(address: string): boolean;
}
